/*CSS Syntax: 

selector {property: value (s);}
*/

body {
    font-family: "loos-normal", sans-serif;
    font-weight: 200;
    font-style: normal;
    background-color: lightcyan;
    margin: 0;
}




h1 {justify-content: space-between;
    font-family: "josefin-sans", sans-serif;
    font-weight: 700;
    font-style: normal;
    margin-bottom: 0.3em;
    margin-top: 0.3em;
    font-size: 5em;
    text-align: center;
    text-transform: uppercase;
    color:black;

}

nav a {letter-spacing: 0.09em;
    /*display: block;*/
    display: inline-block;
    margin: 0.2em color: black;
    background-color: white;
    margin: 0.1em;
    text-decoration: none;
    padding-top: 0.5em;
    padding-right: 0.6em;
    padding-bottom: 0.5em;
    padding-left: 0.6em;
    border: solid black;
}


.current {
    background-color: black;
    color: white;
}


header {position:fixed;
    flex
    top:0;
    left:  0;
    right: 0;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background-color: crimson;
    padding: 30px;
    padding: 30px;
    background-color: white;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

}

.www-colors header {
    background-color: white;
}

.www-colors main {
    background-color: white;
}

.htmlcss-colors header {
    background-color: white;
}

.htmlcss-colors main {
    background-color:white;
}

.responsive-colors header {
    background-color: white;
}

.responsive-colors main {
    background-color: white;
}

.layout-colors header {
    background-color: white;
}

.layout-colors main {
    background-color: white;
}

main {
    padding-top: 12em;
    padding-left: 1em;
    padding-right: 1em;
    padding-bottom: 5em;
    background-color: white;
}

.container {
    background-color: gainsboro;
    padding: 1em;
    margin-bottom: 2.5em;
    margin-top: 2.5em;
}

.item {
    color: white;
    text-transform: uppercase;
    background-color: gray;
    margin: 0.5em;
    padding: 0.5em;
}

.display-inline .item {
    display: inline;
}

article {
    background-color: white;
    padding-bottom: 4em;
    max-width: 1100px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 8em;
}

.display-inline-block .item {
    display: inline-block;
}

h2 {
    font-weight: 400;
    font-size: 2.5em;
    text-align: center;
    text-transform: uppercase;
    margin: 0;
    padding-top: 0.8em;

}

.display-flex .container {
    background-color: gray;
    display: flex;
    border: solid gainsboro;
    4px;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    min-height: 40vh;
}

.display-flex .item {
    color: black;
    background-color: white;
    border: solid black;
    1px;
}

p {line-height: 1.5em;
    max-width: 80ch;
    padding-left: 1em;
    padding-right: 1em;
    margin-right: auto;
    margin-left: auto;
    margin-bottom: 1.5;
    font-size: 1.1em;

}

.merksatz {
    border-top: solid 4px black;
    border-bottom: solid 4px black;
    padding: 2em;
    text-align: center;
    margin: 2em 0;
    max-width: none;
    font-size: 1.8em;
}

.www-colors .merksatz {
    background-color: white;
}

.htmlcss-colors .merksatz {
    background-color: white;
}

ul {
    list-style: none;
    max-width: 80ch;
    margin-left: auto;
    margin-right: auto;
}

li {
    border-top-style: solid;
    border-top-width: 0.1em;
    border-top-color: black;
    padding: 2em 2em 3.5em 2em;
    font-size: 1.1em;
}

figure {
    background-color: #fafafa;
    margin: 2.5em 0 2.5em 0;

}


figcaption {
    font-size: 0.9em;
    margin: 1em 0 1em 0;
    padding-bottom: 1.5em;
    text-align: center;
}

main a {
    color: black;
}

img {
    width: 100%;
}

footer {
    padding-left: 3em;
    padding-top: 1em;
    padding-bottom: 1em;
    background-color: black;
    color: white;
    font-size: 0.9em
}

footer a {
    color: white;
}

h3 {
    margin: 2em 0 1em;
    font-family: droid-sans, sans-serif;
    font-size: 2.2em;
    font-weight: 400;
    text-align: center;
}

.image-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

    margin: 0 0 2em;
    padding: 1.5em;
}

.image-container figure {
    flex-basis: 450px;
    flex-grow: 1;
    margin: 2px;
}
